"
 COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Button subclass:#MenuButton
       instanceVariableNames:'enterAction'
       classVariableNames:''
       poolDictionaries:''
       category:'Views-Interactors'
!

MenuButton comment:'

COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

these objects implement the special buttons used for pull-down-menu-bars.
they highlight on enter events (while pressed) and perform their
action on release

$Header: /cvs/stx/stx/libwidg2/MenuButton.st,v 1.3 1993-10-13 02:48:32 claus Exp $
written spring/summer 89 by claus
'!

!MenuButton methodsFor:'initialization'!

initEvents
    super initEvents.
    self enableEnterEvents
! !

!MenuButton methodsFor:'accessing'!

enterAction:aBlock
    enterAction := aBlock
! !

!MenuButton methodsFor:'events'!

pointerEnter:state x:x y:y
    (state bitTest:(device bitButton1)) ifTrue:[
	self turnOn.
	enterAction notNil ifTrue:[enterAction value]
    ]
! !
